Package org.apache.uima.json.impl

# Class MetaDataObjectSerializer_json

java.lang.Object
org.apache.uima.json.impl.MetaDataObjectSerializer_json

All Implemented Interfaces:
  `MetaDataObject_impl.Serializer`

public class MetaDataObjectSerializer_json extends Object implements MetaDataObject_impl.Serializer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaDataObjectSerializer_json(JsonContentHandlerJacksonWrapper jch)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addNodeStore()`
  `void`
  `deleteNodeStore()`
  `Node`
  `findMatchingSubElement(String elementName)`
  `boolean`
  `indentChildElements(XmlizationInfo info, MetaDataObject_impl mdo)`
  `void`
  `insertNl()`
  `boolean`
  `isArrayHasIndentableElements(Object array)`
  `void`
  `maybeEndArraySymbol()`
  `void`
  `maybeStartArraySymbol()`
  `void`
  `outputEndElement(Node node, String aNamespace, String localname, String qname)`
  `void`
  `outputEndElementForArrayElement(Node node, String aNamespace, String localname, String qname)`
  `void`
  `outputStartElement(Node node, String nameSpace, String localName, String qName, Attributes attributes)`
  `void`
  `outputStartElementForArrayElement(Node node, String nameSpace, String localName, String qName, Attributes attributes)`
  `void`
  `saveAndAddNodeStore(Node infoset)`
  `boolean`
  `shouldBeSkipped(PropertyXmlInfo propInfo, Object val, MetaDataObject_impl mdo)`
  `boolean`
  `shouldEncloseInArrayElement(Class propClass)`
  `boolean`
  `startElementProperty()`
  `void`
  `writeDelayedStart(String name)`
  `void`
  `writeSimpleValue(Object val)`
  `void`
  `writeSimpleValueWithTag(String className, Object o, Node node)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetaDataObjectSerializer_json

    public MetaDataObjectSerializer_json(JsonContentHandlerJacksonWrapper jch)

- ## Method Details

  - ### outputStartElement

    public void outputStartElement(Node node, String nameSpace, String localName, String qName, Attributes attributes) throws SAXException
    Specified by:
      `outputStartElement` in interface `MetaDataObject_impl.Serializer`
    Throws:
      `SAXException`

  - ### outputEndElement

    public void outputEndElement(Node node, String aNamespace, String localname, String qname) throws SAXException
    Specified by:
      `outputEndElement` in interface `MetaDataObject_impl.Serializer`
    Throws:
      `SAXException`

  - ### outputStartElementForArrayElement

    public void outputStartElementForArrayElement(Node node, String nameSpace, String localName, String qName, Attributes attributes) throws SAXException
    Specified by:
      `outputStartElementForArrayElement` in interface `MetaDataObject_impl.Serializer`
    Throws:
      `SAXException`

  - ### outputEndElementForArrayElement

    public void outputEndElementForArrayElement(Node node, String aNamespace, String localname, String qname) throws SAXException
    Specified by:
      `outputEndElementForArrayElement` in interface `MetaDataObject_impl.Serializer`
    Throws:
      `SAXException`

  - ### saveAndAddNodeStore

    public void saveAndAddNodeStore(Node infoset)
    Specified by:
      `saveAndAddNodeStore` in interface `MetaDataObject_impl.Serializer`

  - ### deleteNodeStore

    public void deleteNodeStore()
    Specified by:
      `deleteNodeStore` in interface `MetaDataObject_impl.Serializer`

  - ### indentChildElements

    public boolean indentChildElements(XmlizationInfo info, MetaDataObject_impl mdo)
    Specified by:
      `indentChildElements` in interface `MetaDataObject_impl.Serializer`

  - ### insertNl

    public void insertNl()
    Specified by:
      `insertNl` in interface `MetaDataObject_impl.Serializer`

  - ### shouldBeSkipped

    public boolean shouldBeSkipped(PropertyXmlInfo propInfo, Object val, MetaDataObject_impl mdo)
    Specified by:
      `shouldBeSkipped` in interface `MetaDataObject_impl.Serializer`

  - ### startElementProperty

    public boolean startElementProperty()
    Specified by:
      `startElementProperty` in interface `MetaDataObject_impl.Serializer`

  - ### addNodeStore

    public void addNodeStore()
    Specified by:
      `addNodeStore` in interface `MetaDataObject_impl.Serializer`

  - ### writeDelayedStart

    public void writeDelayedStart(String name) throws SAXException
    Specified by:
      `writeDelayedStart` in interface `MetaDataObject_impl.Serializer`
    Throws:
      `SAXException`

  - ### writeSimpleValue

    public void writeSimpleValue(Object val) throws SAXException
    Specified by:
      `writeSimpleValue` in interface `MetaDataObject_impl.Serializer`
    Throws:
      `SAXException`

  - ### shouldEncloseInArrayElement

    public boolean shouldEncloseInArrayElement(Class propClass)
    Specified by:
      `shouldEncloseInArrayElement` in interface `MetaDataObject_impl.Serializer`

  - ### isArrayHasIndentableElements

    public boolean isArrayHasIndentableElements(Object array)
    Specified by:
      `isArrayHasIndentableElements` in interface `MetaDataObject_impl.Serializer`

  - ### maybeStartArraySymbol

    public void maybeStartArraySymbol() throws SAXException
    Specified by:
      `maybeStartArraySymbol` in interface `MetaDataObject_impl.Serializer`
    Throws:
      `SAXException`

  - ### maybeEndArraySymbol

    public void maybeEndArraySymbol() throws SAXException
    Specified by:
      `maybeEndArraySymbol` in interface `MetaDataObject_impl.Serializer`
    Throws:
      `SAXException`

  - ### writeSimpleValueWithTag

    public void writeSimpleValueWithTag(String className, Object o, Node node) throws SAXException
    Specified by:
      `writeSimpleValueWithTag` in interface `MetaDataObject_impl.Serializer`
    Throws:
      `SAXException`

  - ### findMatchingSubElement

    public Node findMatchingSubElement(String elementName)
    Specified by:
      `findMatchingSubElement` in interface `MetaDataObject_impl.Serializer`